import type { Manifest, ManifestStore } from "@contentauth/c2pa-types";
import type { C2paSettings, DestinationAsset, ReaderInterface, ResourceAsset, SourceAsset, NeonReaderHandle } from "./types.d.ts";
export declare class Reader implements ReaderInterface {
    private reader;
    constructor(reader: NeonReaderHandle);
    json(): ManifestStore;
    remoteUrl(): string;
    isEmbedded(): boolean;
    resourceToAsset(uri: string, asset: DestinationAsset): Promise<ResourceAsset>;
    static fromAsset(asset: SourceAsset, settings?: C2paSettings): Promise<Reader | null>;
    static fromManifestDataAndAsset(manifestData: Buffer, asset: SourceAsset, settings?: C2paSettings): Promise<Reader>;
    activeLabel(): string | undefined;
    getActive(): Manifest | undefined;
    getHandle(): NeonReaderHandle;
}
